<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [self](./bitburner.ns.self.md)

## NS.self() method

Returns the currently running script.

**Signature:**

```typescript
self(): RunningScript;
```
**Returns:**

[RunningScript](./bitburner.runningscript.md)

## Remarks

RAM cost: 0 GB

